WWANC(4)

NAME
wwanc - PCI LTE modem

SYNOPSIS
wwanc* at pci? dev ? function ?
wwan* at wwanc?

DESCRIPTION
The wwanc driver provides support for Fibocom L850-GL / Intel XMM7360.

The device establishes connections via cellular networks such as GPRS, UMTS, and LTE. They appear as a regular point-to-point network interface, transporting raw IP frames.

The SIM card needs to be unlocked, the wwanc driver provides no means to provide a password for the SIM.

HARDWARE
The following devices should work:

Intel XMM7360

SEE ALSO
intro(4), netintro(4), pci(4), ifconfig.if(5), ifconfig(8), MAKEDEV(8), Linux driver repository: https://github.com/xmm7360/xmm7360-pci

HISTORY
The wwanc device driver first appeared NetBSD 10.0.

AUTHORS
-nosplit Development of the Linux and OpenBSD driver was supported by genua GmbH. The wwanc driver was written by James Wah <james@laird-wah.net> for Linux, it was ported to OpenBSD and NetBSD by Jaromir Dolecek <jdolecek@NetBSD.org> for Moritz Systems Technology Company Sp. z o.o.

CAVEATS
The wwanc driver IPv6 support is untested.

Network initialization requires a Python script published in the Linux driver repository, available as package pkgsrc/net/py-xmm7360. The script requires the management device nodes to be created via:

    cd /dev && ./MAKEDEV xmm0